/******************************************************************************/
/*                                                                            */
/*  Cedocida DV-Codec                                                         */
/*                                                                            */
/*  Copyright (C) 2005 Andreas Dittrich <dittrich@eit.uni-kl.de>              */
/*  Project start: 15.12.2003                                                 */
/*  Last change  : 22.05.2005                                                 */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/*  This program is free software; you can redistribute it and/or modify      */
/*  it under the terms of the GNU General Public License as published by      */
/*  the Free Software Foundation; either version 2 of the License, or         */
/*  (at your option) any later version.                                       */
/*                                                                            */
/*  This program is distributed in the hope that it will be useful,           */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/*  GNU General Public License for more details.                              */
/*                                                                            */
/*  You should have received a copy of the GNU General Public License         */
/*  along with this program; if not, write to the Free Software               */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                            */
/******************************************************************************/


void decode_PAL_DVSD( uint8_t *src_DV, uint32_t *dst, char color_format );
void decode_NTSC_DVSD( uint8_t *src_DV, uint32_t *dst, char color_format );

void decode_DIF_videosegment( uint8_t *DIF_block, int16_t *dst_5_MBs, 
								 uint32_t DIF_sequence_number, uint32_t DIF_block_number );


void deinterleave_MB_YV12_PAL(uint32_t *src, uint32_t *dst_YUV420_Y, int dst_YUV420_Y_pitch, 
						  uint32_t *dst_YUV420_U, int dst_YUV420_U_pitch, 
					      uint32_t *dst_YUV420_V, int dst_YUV420_V_pitch
					      );

void deinterleave_MB_YV12_NTSC(uint32_t *src, uint32_t *dst_YUV420_Y, int dst_YUV420_Y_pitch, 
						  uint32_t *dst_YUV420_U, int dst_YUV420_U_pitch, 
					      uint32_t *dst_YUV420_V, int dst_YUV420_V_pitch
					      );

void deinterleave_MBborder_YV12_NTSC(uint32_t *src, uint32_t *dst_YUV420_Y, int dst_YUV420_Y_pitch, 
						  uint32_t *dst_YUV420_U, int dst_YUV420_U_pitch, 
					      uint32_t *dst_YUV420_V, int dst_YUV420_V_pitch
					      );

void YUV420_to_YUY2( uint8_t* src_YUV420_Y, int src_YUV420_Y_pitch, 
					 uint8_t* src_YUV420_U, int src_YUV420_U_pitch, 
					 uint8_t* src_YUV420_V, int src_YUV420_V_pitch,
					 uint8_t* dst_YUY2, int dst_YUY2_pitch, int width, int height );

void YUV411_to_YUY2( uint8_t* src_YUV420_Y, int src_YUV420_Y_pitch, 
					 uint8_t* src_YUV420_U, int src_YUV420_U_pitch, 
					 uint8_t* src_YUV420_V, int src_YUV420_V_pitch,
					 uint8_t* dst_YUY2, int dst_YUY2_pitch, int width, int height );

