%******************************************************************************
%*                                                                            *
%*  Cedocida DV-Codec                                                         *
%*                                                                            *
%*  Copyright (C) 2005 Andreas Dittrich <dittrich@eit.uni-kl.de>              *
%*  Project start: 15.12.2003                                                 *
%*  Last change  : 08.05.2005                                                 *
%*                                                                            *
%******************************************************************************
%*                                                                            *
%*  This program is free software; you can redistribute it and/or modify      *
%*  it under the terms of the GNU General Public License as published by      *
%*  the Free Software Foundation; either version 2 of the License, or         *
%*  (at your option) any later version.                                       *
%*                                                                            *
%*  This program is distributed in the hope that it will be useful,           *
%*  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
%*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
%*  GNU General Public License for more details.                              *
%*                                                                            *
%*  You should have received a copy of the GNU General Public License         *
%*  along with this program; if not, write to the Free Software               *
%*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
%*                                                                            *
%******************************************************************************

fid = 1;

p_list = [2,7,10,22];
k_list = [0,1e-7,1e-7,1e-7];
N = length(p_list);


fprintf(fid, 'int16_t core_positive_negative[128*%i] = {\n', N);
for n=1:N,
   k = k_list(n);
   p = p_list(n);
	core = floor((1- exp(   k*( -([0:7]'*ones(1,8)).^p   -(ones(8,1)*[0:7]).^p    )   ))*(2^14-1)+0.5);
   	%core = floor((1- exp(   k*( -([0:7]'*ones(1,8)).^p   -(ones(8,1)*[0:7]).^p    )   ))*(2^14-1)/128+0.5);

   %positive
   for i=1:8,
      fprintf(fid, '\t%7i', core((i-1)*8+[1]) );
      fprintf(fid, ', %7i', core((i-1)*8+[2:8]) );
   	fprintf(fid, ',\n');
   end
   fprintf(fid, '\n');
   
   %negative
   for i=1:8,
      fprintf(fid, '\t%7i', -core((i-1)*8+[1]) );
      fprintf(fid, ', %7i', -core((i-1)*8+[2:8]) );
   	if ((n~=(N)) | (i~=8)) fprintf(fid, ',\n'); end
   end
   fprintf(fid, '\n');
   
   
   
   
end
fprintf(fid, '};\n');
   


   
      
      